## wlroots-0.17 0.17.4

=== tinywl/Makefile ===
WAYLAND_PROTOCOLS=$(shell pkg-config --variable=pkgdatadir wayland-protocols)
WAYLAND_SCANNER=$(shell pkg-config --variable=wayland_scanner wayland-scanner)
LIBS=\
	 $(shell pkg-config --cflags --libs "wlroots >= 0.17.0") \
	 $(shell pkg-config --cflags --libs wayland-server) \
	 $(shell pkg-config --cflags --libs xkbcommon)

# wayland-scanner is a tool which generates C headers and rigging for Wayland
# protocols, which are specified in XML. wlroots requires you to rig these up
# to your build system yourself and provide them in the include path.
xdg-shell-protocol.h:
	$(WAYLAND_SCANNER) server-header \
		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@

tinywl: tinywl.c xdg-shell-protocol.h
	$(CC) $(CFLAGS) \
		-g -Werror -I. \
		-DWLR_USE_UNSTABLE \
		-o $@ $< \
		$(LIBS)

clean:
	rm -f tinywl xdg-shell-protocol.h xdg-shell-protocol.c

.DEFAULT_GOAL=tinywl
.PHONY: clean

=== debian/changelog ===
wlroots-0.17 (0.17.4-2) unstable; urgency=medium

  * Reintroduce the wlroots 0.17 branch. The package is identical to wlroots
    0.17.4-1. Needed so we can have compositors like wayfire, sway and phoc
    still use 0.17.x while the wlroots source package tracks 0.18 until they
    have stable releases tracking 0.18.x. (Closes: #1085192)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Oct 2024 10:24:31 +0200

=== debian/control ===
Source: wlroots-0.17
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 glslang-tools,
 hwdata,
 libcap-dev,
 libcairo2-dev,
 libdisplay-info-dev (>= 0.1.1),
 libdrm-dev (>= 2.4.114),
 libegl1-mesa-dev,
 libegl-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libliftoff-dev (>= 0.4.1),
 libpixman-1-dev,
 libpng-dev,
 libseat-dev,
 libsystemd-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.22),
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 meson,
 pkgconf,
 wayland-protocols (>= 1.32),
 xwayland,
Standards-Version: 4.6.2
Section: libs
Homepage: https://gitlab.freedesktop.org/wlroots/wlroots/
Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
Rules-Requires-Root: no

Package: libwlroots-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libwlroots12t64 (= ${binary:Version}),
 libcap-dev,
 libdisplay-info-dev,
 libdrm-dev (>= 2.4.114),
 libegl-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libpixman-1-dev,
 libseat-dev,
 libsystemd-dev,
 libliftoff-dev (>= 0.4.0),
 libudev-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.22),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-ewmh-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 libx11-xcb-dev,
 wayland-protocols (>= 1.24),
Description: Modular wayland compositor library - development headers
 wlroots is a set of pluggable, composable modules to build a Wayland
 compositor.
 .
 This package contains the development headers.

Package: libwlroots12t64
Provides: ${t64:Provides}
Replaces: libwlroots12
Breaks: libwlroots12 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - shared library
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains the shared library.

Package: libwlroots-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - binaries
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains various examples on how to use wlroots.

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/wlroots//@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@.tar.gz debian uupdate
